Download it now!
Bug 71495 - EDITING: Deleting of the paragraph marker (i.e. the entire section) Above a Protected Section is not Possible
Summary: EDITING: Deleting of the paragraph marker (i.e. the entire section) Above a P...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: needsDevEval
Depends on:
Blocks: Section
  Show dependency treegraph
 
Reported: 2013-11-11 14:50 UTC by Harald Koester
Modified: 2020-08-02 15:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
tdf71495_protectedSection.odt: cannot remove the paragraph above a protected section. (10.91 KB, application/vnd.oasis.opendocument.text)
2019-01-10 05:38 UTC, Justin L
Details
test from MSO (13.24 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-02 15:04 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-11-11 14:50:55 UTC
Problem description: 

Steps to reproduce:
[1] Open a new text document.
[2] Type in a word, then Enter.
[3] Type in another word and mark this word. 
[4] Insert a section within the marked word and protect the section. 
[5] Now you can delete the word in the first line, but not the line as a whole (paragraph break).

Expected behaviour: With “Del“ it should be possible to delete the paragraph above the section.

Hint: The behaviour is equal, if the option “LibreOffice Writer → Formatting Aids → Cursor in protected areas“ is enabled or not.
              
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 Robert Großkopf 2013-11-11 17:01:55 UTC
I have tested this. You could only delete the last break above the section, when you don't protect the section.
It's the same behavior in LO 3.0.0. beta1, so I set the first version as Inherited from OOo. It's also the same in LO 4.2.0.0 from 2013-11-07.
I have tested with OpenSuSE 12.3 64bit Linux. So I set the platform to all.
Comment 2 QA Administrators 2015-04-19 03:20:08 UTC Comment hidden (obsolete)
Comment 3 Robert Großkopf 2015-04-19 08:02:17 UTC
The described bug still exists.

Tested with LO Version: 4.4.3.1
Build-ID: b2f347f2ac68821efc00b6f1793cda90af748118
Gebietsschema: de_DE
on OpenSUSE 13.2 64bit rpm Linux.
Comment 4 Xisco Faulí 2017-09-29 08:48:42 UTC Comment hidden (obsolete)
Comment 5 Harald Koester 2017-10-31 18:04:32 UTC
Bug still exists in version 5.4.2 (64 Bit, Win 10).
Comment 6 Justin L 2019-01-10 05:38:55 UTC
Created attachment 148195 [details]
tdf71495_protectedSection.odt: cannot remove the paragraph above a protected section.

confirmed with 6.3 master
Comment 7 sdc.blanco 2020-01-14 00:43:50 UTC
Reproduced.  Using attachment 148195 [details] - can only delete the paragraph break on the first line if write protection is removed.

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 035c7717c135c66c0ec025500b73ae9c13b7c586
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: da-DK (en_DK); UI-Language: en-US
Calc: threaded
Comment 8 Timur 2020-08-02 15:04:40 UTC
Created attachment 163883 [details]
test from MSO

I think that this should've been evaluated first (DevEval), is it possible.
MSO seems to have similar behavior, can't delete line above protected section.
I set as WontFix.
Should someone disagree, please explain.